# Список изменений

## [2.0.0-beta.8]

### Исправления ошибок
- Исправлена работа реактивности циферок кластеров
- Исправлен случайный фатальный краш при отрисовке кластеров
- Исправлена ошибка, при которой библиотека иногда могла не работать в Nuxt 3

### Документация

- Завершена работа над секцией "Примеры". Добавлены последние примеры: Элементы управления и Хинты.

## [2.0.0-beta.7]

В этой сборке были внедрены улучшения производительности. Что-то могло сломаться, в частности - реактивность.

### Кластер

- Параметр слота `clustererObject` переименован в `clusterer`
- ЗНАЧИТЕЛЬНО улучшена производительность. Убраны костыли, поддержано кэширование Яндекса

### Исправления ошибок

- Исправлена ошибка, при которой содержимое попапа `YandexMapDefaultMarker` могло закрыться без действия пользователя,
  когда содержимое попапа было передано через слот `#popup`
- Исправлена ошибка, при которой всегда триггерилось обновление `settings` компонента, если в нём была функция, даже
  если она не менялась
- Исправлена ошибка, при которой default marker любил закрываться при клике куда угодно, кроме него
- Внедрено поведение, при котором изменение объекта первого уровня в `settings` приведет к полной передаче этого объекта
  в Яндекс. Это сделано во избежание ситуаций, когда Яндекс требует полный набор данных, а передастся лишь кусок. Это
  было заметно при изменении `location.center` - если изменился только один элемент массива, Яндексу передавался только
  он, хотя требовался полный массив

### Типизация

- Экспортирован тип `YandexMapDefaultMarkerSettings` с настройками маркера
- Тип `VueYandexMapClustererOptions` переименован в `YandexMapClustererOptions`
- Из типизации удалены `vuefy` и `reactify` - их подключение бесполезно в данной библиотеке, кроме того, Яндекс
  сломали `Overload` **нашей** библиотеки бесконечной рекурсией, добавив `vuefy`

### Техническое
- Из `dependencies` удалён `rollup-plugin-copy`, попавший туда по ошибке
- Пакет обновлён до Vite 5

### Документация

- Добавлены примеры:
    - Попапы
    - Прямоугольник
    - Скрывать маркеры вне вьюпорта
- Документированы внутренние настройки `setupMapChildren`

## [2.0.0-beta.6]

### Исправления ошибок

- Теперь отслеживается лишь изменение в реактивных settings у всех компонентов - не только у `YandexMap`
- Исправлен краш с RangeError при использовании кластера в Vue 2

### Техническое

- Переработана сборка Nuxt 3/Bridge
- Доработана типизация настроек Nuxt 3/Bridge
- Переработаны импорты на `import/export type` и включён `verbatimModuleSyntax` в `tsconfig`

### Документация

- Добавлены примеры:
    - Добавление метки на карту
    - Перетаскивание объектов
    - Добавление метки с собственным изображением
    - Многоугольник
    - Ломаная

## [2.0.0-beta.5]

### Новые возможности

- Добавлена передача `coordinates` в слот `YandexMapClusterer`
- Добавлено изменение `zoom` для `realSettingsLocation`

### Исправления ошибок

- Доработан кластеризатор

### Документация

- Добавлена песочница
- Добавлен пример "Множество точек"

## [2.0.0-beta.4]

### Исправления ошибок

- Исправлен запуск в Vue 2, в котором не установлен `vue-demi`

### Документация

Добавлены примеры:

- Кастомные тайлы на Canvas
- Собственная карта
- Изменить размер карты
- Поместите в скрытый контейнер
- Ограничить область просмотра карты

## [2.0.0-beta.3]

- В npm добавлены README.md, LICENSE и CHANGELOG.md

## [2.0.0-beta.2]

### Breaking Changes

- Из сборки был удален плагин для Babel
- Из настроек `YandexMap` убран `projection`

### Новые возможности

- Поддержана реактивность `settings` в `YandexMap`
- Добавлены настройки `YandexMap`: `readonlySettings` и `realSettingsLocation`
- Добавлен экспортов локальных типов настроек из компонентов

### Документация

- Добавлен пример "Изменить положение камеры"
- Добавлен навбар

## [2.0.0-beta.1]

Начальный релиз
