import type { PropType, VNode } from 'vue';
import type { YMapDefaultMarker } from '@yandex/ymaps3-types/packages/markers';
import type { YMapClusterer } from '@yandex/ymaps3-types/packages/clusterer';
type Settings = ConstructorParameters<typeof YMapClusterer>[0];
export type YandexMapClustererOptions = Omit<Settings, 'features' | 'marker' | 'cluster'>;
declare const _default: import("vue").DefineComponent<{
    value: {
        type: PropType<YMapClusterer>;
        default: null;
    };
    modelValue: {
        type: PropType<YMapDefaultMarker>;
        default: null;
    };
    settings: {
        type: PropType<Partial<YandexMapClustererOptions>>;
        default: () => {};
    };
    /**
     * @description Size of the grid division in pixels
     *
     * Used in settings.method via Yandex clusterByGrid method
     *
     * @see https://yandex.ru/dev/jsapi30/doc/ru/ref/packages/clusterer/
     * @see https://yandex.ru/dev/jsapi30/doc/en/ref/packages/clusterer/
     */
    gridSize: {
        type: NumberConstructor;
        default: number;
    };
}, () => VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    input(item: YMapClusterer): boolean;
    'update:modelValue'(item: YMapClusterer): boolean;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: PropType<YMapClusterer>;
        default: null;
    };
    modelValue: {
        type: PropType<YMapDefaultMarker>;
        default: null;
    };
    settings: {
        type: PropType<Partial<YandexMapClustererOptions>>;
        default: () => {};
    };
    /**
     * @description Size of the grid division in pixels
     *
     * Used in settings.method via Yandex clusterByGrid method
     *
     * @see https://yandex.ru/dev/jsapi30/doc/ru/ref/packages/clusterer/
     * @see https://yandex.ru/dev/jsapi30/doc/en/ref/packages/clusterer/
     */
    gridSize: {
        type: NumberConstructor;
        default: number;
    };
}>> & {
    onInput?: ((item: YMapClusterer) => any) | undefined;
    "onUpdate:modelValue"?: ((item: YMapClusterer) => any) | undefined;
}, {
    value: YMapClusterer;
    settings: Partial<YandexMapClustererOptions>;
    modelValue: YMapDefaultMarker;
    gridSize: number;
}, {}>;
export default _default;
